// Inductance of a solenoid inductor
// SCILAB source file: ex2003.sce
// Get input data from dialogue box
txt = ['Relative permeability of the core';'Number of turns';'Length of the magnetic circuit (mm)';'Area of the core (mm2)'];
var = x_mdialog('Enter relative permeability, number of turns, length and area',txt,['500';'1000';'100';'1600']);
ur = evstr(var(1));
n = evstr(var(2));
l = 1E-3 * evstr(var(3))
A = 1E-6 * evstr(var(4));
// Permeability of free space u0 in F/m
u0 = 12.57E-12; 
// Calculate inductance
L = (u0 * ur * n^2 *l)/ A;
L = L * 1E+3
// Display result
messagebox("Inductance = " + string(L) + " mH")



